%global commit 199ab5cdd2ef284c5e736db1e7dd71089f49aa76
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitdate 202307011459

Name:           flyaway
Version:        0.1~git%{commitdate}.%{shortcommit}
Release:        0%{?dist}.1
Summary:        Test compositor built on wlroots

License:        Apache-2.0
URL:            https://gitlab.com/serebit/flyaway
Source0:        %{url}/-/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  pkgconfig(libdecor-0) >= 0.1.1
BuildRequires:  pkgconfig(wayland-protocols) >= 1.31
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wlroots) >= 0.16.0
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xkbcommon)

%description
Flyaway is a test compositor based on wlroots, intended as a
playground for getting used to both wlroots and Wayland.


%prep
%autosetup -n %{name}-%{commit}


%build
%meson
%meson_build


%install
%meson_install


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}



%changelog
* Sat Jul 01 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.1~git202307011430.2839847-0.1
- Initial package
